KFileViewSignaler Class Reference

`#include <kfileview.h>`

Inherits QObject.

## Signals

void | dirActivated (const KFileItem *)
void | sortingChanged (QDir::SortSpec)
void | fileHighlighted (const KFileItem *)
void | fileSelected (const KFileItem *)
void | activatedMenu (const KFileItem *i, const QPoint &)
void | dropped (const KFileItem *, QDropEvent *, const KURL::List &)

## Public Member Functions

void | activate (const KFileItem *item)
void | highlightFile (const KFileItem *i)
void | activateMenu (const KFileItem *i, const QPoint &pos)
void | changeSorting (QDir::SortSpec sorting)
void | dropURLs (const KFileItem *i, QDropEvent *e, const KURL::List &urls)

## Detailed Description

internal class to make easier to use signals possible

Definition at line 37 of file kfileview.h.

## Member Function Documentation

void KFileViewSignaler::activate | ( | const KFileItem * | item | ) |

inline

Call this method when an item is selected (depends on single click / double click configuration).

Emits the appropriate signal.

Definition at line 46 of file kfileview.h.

void KFileViewSignaler::fileHighlighted | ( | const KFileItem * |  | ) |

signal

the item maybe be 0L, indicating that we're in multiselection mode and the selection has changed.

void KFileViewSignaler::highlightFile | ( | const KFileItem * | i | ) |

inline

emits the highlighted signal for item.

Call this in your view class whenever the selection changes.

Definition at line 56 of file kfileview.h.

The documentation for this class was generated from the following file:

- kfileview.h

KDE Home | KDE Accessibility Home | Description of Access Keys